.so include.n
.fo ``-A.%-``
.bp
.pn 1
.po
.nh
.ls 2
.sp 2
.ce
Appendix A
.ce
.he ``REDTEN Switches``
.pp
There are a number of switches in REDTEN which control various aspects of
the system's operation. These switches are described briefly below. Switches
are set by the function on, and cleared with the function off.
The internal switch name is prepended by a '*'. Note that many other REDUCE
and REDTEN control variables begin with a '*' and others end with a '*'.
Descriptions are for the default value.
.in 4
.br
.ti 0
\*Bdiftmp\fP [nil] - causes the system to always use a temporary object when
computing normal derivatives. This is useful when the same derivative appears
many times in an expression, the system can re-use the temporary with no
new calculation. Except in this case, it is often faster to avoid the
temporary object.
.br
.ti 0
\*Bextendedsum\fP [nil] - allows contractions over indices which are both
covariant or contravariant.
.br
.ti 0
\*Bflgdot\fP [nil] - forces printing of the current index for all indexed
assignment operations, even those started inside REDTEN functions. Allows
the user to see the progress of a calculation.
.br
.ti 0
\*Biprop\fP [t] - causes printing of the property list when examining an
object.
.br
.ti 0
\*Brewrite\fP [t] - causes the right hand expression of a \(eq\(eq operation
to be echoed in the current print style.
.br
.ti 0
\*Bxeval\fP [nil] - forces an extra evaluation when reading an
element from an object to include any recent variable redefinitions.
.br

